StocksAndFisheriesKB - Task #11124

Feature # 10928 (Closed): Further GRSF Management panel enhancements

Testing the GRSF management panel
Feb 07,2018 11:04 AM - Costantino Perciante

Status: Closed

Priority: Normal

Assignee: Francesco Mangiacrapa
Category:

Target version:

Start date: Feb 07, 2018
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

This is a list of tasks/tests to be performed for the management panel:

e A proper message should appear if the management panel is opened on a legacy record (OK);
* A proper message should appear if the user doesn't have the rights for managing a record (neither GRSF Editor nor GRSF

Reviewer) (OK);

panel):

Check that Sources, Similar GRSF Records, Suggested Connections and Available Connections are prompted correctly (OK);
Update the Short Name and check it is updated (immediately) in the catalogue (OK);

Update the Traceability Flag and check it is updated (immediately) in the catalogue (OK);

Ask for merging the current record with at least another similar record (either manually suggested or already available in the

o the involved records' status must be changed to "To Be Merged" (OK);
o emails must be sent to the Editor and to the Reviewers along with a report of the suggested changes and the revert link

(OK);

o a) force the merge and b) try to revert operation via the previous link (OK)

Play with connections:
o manually suggest a connection (OK);

o try to "unconnect" and "remove" an already connected record (OK);
o try to "connect" a suggested record (i.e. one in Exploiting Fisheries or Resources Exploited) (OK);

History

#1 - Feb 07, 2018 11:21 AM - Costantino Perciante
- Description updated
- % Done changed from 0 to 30

#2 - Feb 07,2018 06:13 PM - Costantino Perciante
- Description updated

- % Done changed from 30 to 60

#3 - Feb 08, 2018 05:00 PM - Costantino Perciante
- Description updated

- % Done changed from 60 to 90

#4 - Feb 19, 2018 10:20 AM - Costantino Perciante
- Description updated

- Status changed from In Progress to Feedback

#5 - Feb 19, 2018 10:21 AM - Costantino Perciante

- Description updated

#6 - Feb 19, 2018 10:21 AM - Costantino Perciante
- % Done changed from 90 to 100

#7 - Feb 27, 2018 11:48 AM - Costantino Perciante

- Status changed from Feedback to In Progress
- % Done changed from 100 to 50

#8 - Feb 28, 2018 02:19 PM - Massimiliano Assante

please @costantino.perciante@isti.cnr.it reassign the ticket to the person responsible for this component from tomorrow.

#9 - Mar 01, 2018 12:55 PM - Pasquale Pagano

- Assignee changed from Costantino Perciante to Francesco Mangiacrapa

#11 - Jul 25, 2018 11:07 AM - Francesco Mangiacrapa
- % Done changed from 50 to 100

- Status changed from In Progress to Closed
